## avwait avwait |

## Properties

GstAvWaitMode | mode | Read / Write
guint64 | target-running-time | Read / Write
GstVideoTimeCode * | target-timecode | Read / Write
gchar * | target-timecode-string | Read / Write
GstVideoTimeCode * | end-timecode | Read / Write
gboolean | recording | Read / Write

## Types and Values

struct | GstAvWait
enum | GstAvWaitMode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAvWait

## Description

This element will drop all buffers until a specific timecode or running time has been reached. It will then pass-through both audio and video, starting from that specific timecode or running time, making sure that audio starts as early as possible after the video (or at the same time as the video). In the "video-first" mode, it only drops audio buffers until video has started.

The "recording" property acts essentially like a valve connected before everything else. If recording is FALSE, all buffers are dropped regardless of settings. If recording is TRUE, the other settings (mode, target-timecode, target-running-time, etc) are taken into account. Audio will always start and end together with the video, as long as the stream itself doesn't start too late or end too early.

#### Example launch line

    1
    gst-launch-1.0 filesrc location="my_file" ! decodebin name=d ! "audio/x-raw" ! avwait name=l target-timecode-str="00:00:04:00" ! autoaudiosink d. ! "video/x-raw" ! timecodestamper ! l. l. ! queue ! timeoverlay time-mode=time-code ! autovideosink

## Synopsis

### Element Information

plugin | timecode
author | Vivia Nikolaidou <vivia@toolsonair.com>
class | Filter/Audio/Video

### Element Pads

name | asink
direction | sink
presence | always
details | audio/x-raw

name | vsink
direction | sink
presence | always
details | video/x-raw

name | asrc
direction | source
presence | always
details | audio/x-raw

name | vsrc
direction | source
presence | always
details | video/x-raw

## Functions

## Types and Values

### struct GstAvWait

    struct GstAvWait;

### enum GstAvWaitMode

#### Members

MODE_TIMECODE |  |
MODE_RUNNING_TIME |  |
MODE_VIDEO_FIRST |  |

## Property Details

### The `“mode”` property

      “mode”                     GstAvWaitMode

Operation mode: What to wait for.

Flags: Read / Write

Default value: time code (default)

### The `“target-running-time”` property

      “target-running-time”      guint64

Running time to wait for in running-time mode.

Flags: Read / Write

Default value: 18446744073709551615

### The `“target-timecode”` property

      “target-timecode”          GstVideoTimeCode *

Timecode to wait for in timecode mode (object).

Flags: Read / Write

### The `“target-timecode-string”` property

      “target-timecode-string”   gchar *

Timecode to wait for in timecode mode (string). Must take the form 00:00:00:00.

Flags: Read / Write

Default value: "00:00:00:00"

### The `“end-timecode”` property

      “end-timecode”             GstVideoTimeCode *

Timecode to end at in timecode mode (object).

Flags: Read / Write

### The `“recording”` property

      “recording”                gboolean

Whether the element is stopped or recording. If set to FALSE, all buffers will be dropped regardless of settings.

Flags: Read / Write

Default value: TRUE